/* Copyright (c) 2009 Peter Troshin
 *  
 *  Jalview Web Services @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.runner._impl;

public final class Runners {

	private Runners() {
	}

	public static Mcl getMclRunnable(String workDirectory) {
		return new Mcl(workDirectory);
	}

	public static OB getOBRunnable(String workDirectory) {
		return new OB(workDirectory);
	}

	public static Disembl getDisemblRunnable(String workDirectory) {
		return new Disembl(workDirectory);
	}

	public static NetNglyc getNetNglycRunnable(String workDirectory) {
		return new NetNglyc();
	}

	public static Ronn getRonnRunnable(String workDirectory) {
		return new Ronn(workDirectory);
	}

	public static Tmhmm2 getTmhmm2Runnable(String workDirectory) {
		return new Tmhmm2(workDirectory);
	}

	public static RPSBlast getRPSBlastRunnable(String workDirectory) {
		return new RPSBlast(workDirectory);
	}

	public static BlastAll getBlastAllRunnable(String workDirectory) {
		return new BlastAll(workDirectory);
	}

	public static PSIBlast getPSIBlastRunnable(String workDirectory) {
		return new PSIBlast(workDirectory);
	}

}
